%define module	clnum
%define name	python-%{module}
%define version 1.4
%define release 4

Summary:	Arbitrary precision floating point library for Python
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
Source0:	%{module}-%{version}.tar.bz2
License:	GPL
Group:		Development/Python 
Url: 		http://calcrpnpy.sourceforge.net/clnum.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	cln, python >= 2.0
BuildRequires:	cln-devel, python-devel >= 2.0

%description
The module clnum adds arbitrary precision floating point and rational
numbers to Python. Both real and complex types are supported. The
module also contains arbitrary precision replacements for the
functions in the standard library math and cmath modules.

The clnum module uses the Class Library for Numbers (CLN) to do all of
the hard work. The module simply provides a proper type interface so
that the CLN numbers work with the standard Python arithmetic
operators and interact properly with the built-in Python numeric
types.  

%prep 

%setup -q -n %{module}-%{version}

%build
%__python ./setup.py build

%install
rm -rf %{buildroot}
%__python ./setup.py install --root=%{buildroot} --record=INSTALLED_FILES

%clean
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc README COPYING changelog *.html


%changelog
* Mon Jan 29 2007 Lev Givon <lev@mandriva.org> 1.4-4mdv2007.0
+ Revision: 115048
- Bump release.
- Specify Python version.

* Thu Jan 25 2007 Lev Givon <lev@mandriva.org> 1.4-3mdv2007.1
+ Revision: 113402
- Typo.
- Add python build dependency.

* Wed Jan 24 2007 Lev Givon <lev@mandriva.org> 1.4-2mdv2007.1
+ Revision: 113018
- Bump release.
- Update dependencies.

* Tue Jan 23 2007 Lev Givon <lev@mandriva.org> 1.4-1mdv2007.1
+ Revision: 112495
- Add build dependencies.
- Import python-clnum



* Fri Jan 19 2007 Lev Givon <lev@mandriva.org> 1.4-1mdv2007.0
- Update version.
 
* Wed May 24 2006 Lev Givon <lev@mandriva.org> 1.2-1mdk 
- Initial Mandriva package.
